API referenceProjects
Update a project
PATCH
/projects/{id}curl -X PATCH "https://actions.53degrees.app/api/v1/projects/{id}" \
-H "Authorization: Bearer $53_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"description": "string",
"stageId": "string",
"priority": "urgent",
"startDate": "string",
"dueDate": "string"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
idstringpathrequired
Body
application/json
namestringdescriptionstringstageIdstringAn id the API returned.
priorityenum<string>One of:urgenthighmediumlownonestartDatestring | nullAn ISO 8601 date or date-time.
dueDatestring | nullAn ISO 8601 date or date-time.
Response
application/json
Success
idstringrequiredAn id the API returned.
objectenum<string>requiredOne of:projectnamestringrequiredstageIdstringrequiredstagestring | nullrequiredpriorityenum<string>requiredOne of:urgenthighmediumlownoneaccessLevelenum<string>requiredOne of:publicprivatestartDatestring | nullrequireddueDatestring | nullrequiredprojectLeadstring | nullrequiredtagsstring[]requiredcreatedAtstringrequiredISO 8601.
updatedAtstringrequiredISO 8601.
{
"id": "string",
"object": "project",
"name": "string",
"stageId": "string",
"stage": "string",
"priority": "urgent",
"accessLevel": "public",
"startDate": "string",
"dueDate": "string",
"projectLead": "string",
"tags": [
"string"
],
"createdAt": "string",
"updatedAt": "string"
}